LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-29-2003, 02:44 PM   #1
Parksy
Member
 
Registered: Apr 2003
Distribution: Gentoo/Mandrake 10.0
Posts: 110

Rep: Reputation: 15
Reciprocal RPM Dependencies


I'm sure this is a common problem, but I haven't been able to find any info about this issue. It's happened to me many times before and I've never figured it out. Now I'm trying to install libimlib2_1.0.6-2mdk.i586.rpm One thing it requires is libimlib2_1-devel-1.0.6-2mdk.i586.rpm. However, The second package requires the first package. They are both looking for versions 1.0.6 of each other. How do I fix this? If it matter, my installation method is double clicking the files on Konqueror.
 
Old 07-29-2003, 02:57 PM   #2
rshaw
Senior Member
 
Registered: Apr 2001
Location: Perry, Iowa
Distribution: Mepis , Debian
Posts: 2,692

Rep: Reputation: 45
install one with the force or no-deps argument. at the root prompt > rpm -ivh <filename>.mdk.i586.rpm --no-deps. then install the other one the normal way.
 
Old 07-29-2003, 03:06 PM   #3
fsbooks
Member
 
Registered: Jan 2002
Location: Missoula. Montana, USA
Distribution: Slackware (various)
Posts: 457

Rep: Reputation: 41
You can also do the following at the command prompt:

"rpm -Uvh libimlib2_1.0.6-2mdk.i586.rpm libimlib2_1-devel-1.0.6-2mdk.i586.rpm"
 
Old 07-29-2003, 03:11 PM   #4
Parksy
Member
 
Registered: Apr 2003
Distribution: Gentoo/Mandrake 10.0
Posts: 110

Original Poster
Rep: Reputation: 15
Thumbs up

Thanks a lot for your quick responses! It works great!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
rpm dependencies gandhis Red Hat 2 11-02-2004 12:00 AM
RPM dependencies - HELP! therealbeale Linux - General 3 10-29-2003 01:36 PM
RPM 'failed dependencies': Why can I not install any rpm packages? leontini Linux - Newbie 7 09-16-2003 01:44 AM
RPM Dependencies snatale1 Linux - Newbie 8 08-22-2003 11:08 AM
rpm and dependencies zorro Linux - Newbie 1 05-09-2002 11:11 PM


All times are GMT -5. The time now is 09:49 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration